Subject: Re: Mass deployment
From: [email-masked]
To: "Michael A. Chase" <[email-masked]>
Cc: Cygwin Users <[email-masked]>, Earnie Boyd <[email-masked]>
Date: Wed, 18 Apr 2001 23:25:05 -0400

The workability of this solution implies (I think) that I could do the
following and have it work:
	1) Do an install of those packages I want on a single machine.
	2) tar czf mycyg.tgz cygwin
	3) regedit and dump keys from the registry file into a .reg file
	4) For each machine I am installing to:
	   4a)  tar -xzf mycyg.tgz ( to the same root location )
	   4b)  cmd /c start regedit cygwin.reg
	   4c)  prey

Does this sound reasonable?  My company is distributed, we're all home workers,
so the central server approach would be REALLY slow, and the main problem with
the GUI is that I have to go each time and make the selections of the packages
that are needed.  I want a semi-minimal installations on most non-developer
machines, since they wouldn't know what to do with a shell if they found it on
the seashore, except to type "cvs update; make clean install"

Thanks for your help,
Rich Paul

On Tue, Apr 17, 2001 at 12:43:36PM -0700, Michael A. Chase wrote:
> The new option in mount won't be ready in time for 1.3.0.  I haven't yet
> found out who can sign the disclaimer for my company.
> 
> For now youre probably better off dumping the appropriate registry areas
> using regedit.exe and then using it to load them in the other machines.
> 
> --
> Mac :})
> ** I normally forward private database questions to the DBI mail lists. **
> Give a hobbit a fish and he'll eat fish for a day.
> Give a hobbit a ring and he'll eat fish for an age.
> ----- Original Message -----
> From: "Earnie Boyd" <[email-masked]>
> To: <[email-masked]>
> Cc: "Cygwin Users" <[email-masked]>
> Sent: Tuesday, April 17, 2001 5:23 AM
> Subject: Re: Mass deployment
> 
> 
> > Optionally you could install on the server and just set the cygwin
> > directory as a share and have all the others map to it.  This will have
> > speed impact so if you're actually depending on timely results it might
> > not be what you want to do.  If you do decide on this you'll need to map
> > the mount points in the registry.  The yet to be released 1.3.0 has a
> > new option in mount to allow it to output the mount point registry
> > entries in a file so that you can move that file to another client and
> > use that file to do the mounts.  You could grab a current snapshot and
> > use the binary for the new mount process it you decide to use this
> > option.
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

-- 
---------------------------------------------------------------------
If this message was not digitally signed, do you really know who it
came from?  Encrypt everything, let the NSA sort it out.

Unsolicited email advertisements will be proofread and returned for a fee of
$500 per message.  Sending such email to this address implies acceptance
of these terms.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple